> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kadoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific notification settings



## OpenAPI

````yaml get /v5/notifications/settings/{settingsId}
openapi: 3.0.3
info:
  title: Kadoa API
  version: 3.0.0
  contact:
    name: Support
    email: support@kadoa.com
servers:
  - url: https://api.kadoa.com
security: []
paths:
  /v5/notifications/settings/{settingsId}:
    get:
      tags:
        - Notifications
      summary: Retrieve a specific notification settings
      parameters:
        - in: path
          name: settingsId
          required: true
          schema:
            type: string
          description: Settings ID
      responses:
        '200':
          description: Settings retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      settings:
                        type: object
                        properties:
                          id:
                            type: string
                          workflowId:
                            type: string
                          eventType:
                            type: string
                          eventConfiguration:
                            type: object
                          enabled:
                            type: boolean
                          channels:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                                channelType:
                                  type: string
                          createdAt:
                            type: string
                          updatedAt:
                            type: string
                  status:
                    type: string
                  message:
                    type: string
        '401':
          description: Unauthorized
        '404':
          description: Settings not found
        '500':
          description: Internal server error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````